# Class RequestGroupInfo

java.lang.Object
org.apache.tomcat.util.modeler.BaseModelMBean
org.apache.coyote.RequestGroupInfo

All Implemented Interfaces:
  `DynamicMBean, MBeanRegistration, ModelMBeanNotificationBroadcaster, NotificationBroadcaster`

public class RequestGroupInfo extends BaseModelMBean
JMX artifact to aggregate data from each request processor thread.

## Field Summary

### Fields inherited from class BaseModelMBean

`attributeBroadcaster, generalBroadcaster, managedBean, oname, resource, resourceType`

## Constructor Summary

Constructors
Constructor
Description
`RequestGroupInfo()`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`addRequestProcessor(RequestInfo rp)`
Add a request processor.
`long`
`getBytesReceived()`
Return the total bytes received.
`long`
`getBytesSent()`
Return the total bytes sent.
`int`
`getErrorCount()`
Return the error count.
`long`
`getMaxTime()`
Return the maximum request processing time.
`long`
`getProcessingTime()`
Return the total processing time.
`int`
`getRequestCount()`
Return the request count.
`void`
`removeRequestProcessor(RequestInfo rp)`
Remove a request processor.
`void`
`resetCounters()`
Reset all counters.
`void`
`setBytesReceived(long bytesReceived)`
Reset the bytes received.
`void`
`setBytesSent(long bytesSent)`
Reset the bytes sent.
`void`
`setErrorCount(int errorCount)`
Reset the error count.
`void`
`setMaxTime(long maxTime)`
Reset the maximum time.
`void`
`setProcessingTime(long totalTime)`
Reset the total processing time.
`void`
`setRequestCount(int requestCount)`
Reset the request count.

### Methods inherited from class BaseModelMBean

`addAttributeChangeNotificationListener, addNotificationListener, getAttribute, getAttributes, getClassName, getJmxName, getManagedResource, getMBeanInfo, getModelerType, getNotificationInfo, getObjectName, invoke, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttributes, setManagedBean, setManagedResource, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RequestGroupInfo

public RequestGroupInfo()
Default constructor.

## Method Details

### addRequestProcessor

public void addRequestProcessor(RequestInfo rp)
Add a request processor.

Parameters:
  `rp` - the request processor

### removeRequestProcessor

public void removeRequestProcessor(RequestInfo rp)
Remove a request processor.

Parameters:
  `rp` - the request processor

### getMaxTime

public long getMaxTime()
Return the maximum request processing time.

Returns:
  the maximum time

### setMaxTime

public void setMaxTime(long maxTime)
Reset the maximum time.

Parameters:
  `maxTime` - the new maximum time

### getProcessingTime

public long getProcessingTime()
Return the total processing time.

Returns:
  the total processing time

### setProcessingTime

public void setProcessingTime(long totalTime)
Reset the total processing time.

Parameters:
  `totalTime` - the new total processing time

### getRequestCount

public int getRequestCount()
Return the request count.

Returns:
  the request count

### setRequestCount

public void setRequestCount(int requestCount)
Reset the request count.

Parameters:
  `requestCount` - the new request count

### getErrorCount

public int getErrorCount()
Return the error count.

Returns:
  the error count

### setErrorCount

public void setErrorCount(int errorCount)
Reset the error count.

Parameters:
  `errorCount` - the new error count

### getBytesReceived

public long getBytesReceived()
Return the total bytes received.

Returns:
  the bytes received

### setBytesReceived

public void setBytesReceived(long bytesReceived)
Reset the bytes received.

Parameters:
  `bytesReceived` - the new bytes received

### getBytesSent

public long getBytesSent()
Return the total bytes sent.

Returns:
  the bytes sent

### setBytesSent

public void setBytesSent(long bytesSent)
Reset the bytes sent.

Parameters:
  `bytesSent` - the new bytes sent

### resetCounters

public void resetCounters()
Reset all counters.